
.timeline_sass_start {
  content: '';
}

.cd-horizontal-timeline {
  font-size: 1em;
  /*
  font-family: "Ubuntu", sans-serif;
  */
  /*
  font-size: 62.5%;
  color: #fff;
  background-color: #261C21;
  */

  opacity: 0;
  margin: 2em auto;
  -webkit-transition: opacity 0.2s;
  -moz-transition: opacity 0.2s;
  transition: opacity 0.2s;

  *, *::after, *::before {
    box-sizing: border-box;
  }

  a {
    color: #1f1a17;
    /*color: #fff;*/
    text-decoration: none;
  }

  &::before {
    /* never visible - this is used in jQuery to check the current MQ */
    content: 'mobile';
    display: none;
  }

  &.loaded {
    /* show the timeline after events position has been set (using JavaScript) */
    opacity: 1;
  }

  .timeline {
    position: relative;
    height: 100px;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
  }

  .events-wrapper {
    position: relative;
    height: 100%;
    margin: 0 40px;
    overflow: hidden;

    &::after,
    &::before {
      /* these are used to create a shadow effect at the sides of the timeline */
      content: '';
      position: absolute;
      z-index: 2;
      top: 0;
      height: 100%;
      width: 20px;
    }

    &::after {
      right: 0;
    }

    &::before {
      left: 0;
    }
  }

  .events {
    /* this is the grey line/timeline */
    position: absolute;
    z-index: 1;
    left: 0;
    top: 49px;
    height: 2px;
    /* width will be set using JavaScript */
    /*background: #fff;*/
    /*background: #1f1a17;*/
    background: #b5b1b1;
    -webkit-transition: -webkit-transform 0.4s;
    -moz-transition: -moz-transform 0.4s;
    transition: transform 0.4s;

    li.event {
      list-style-type: none;

      /*
      color: #1f1a17;
      font-size: 0.50em;
      */
    }

  }

  .filling-line {
    /* this is used to create the green line filling the timeline */
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #1f1a17;
    /*background-color: #FF3D7F;*/
    -webkit-transform: scaleX(0);
    -moz-transform: scaleX(0);
    -ms-transform: scaleX(0);
    -o-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -ms-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
    -webkit-transition: -webkit-transform 0.3s;
    -moz-transition: -moz-transform 0.3s;
    transition: transform 0.3s;
  }

  .events a {
    position: absolute;
    width:100px;
    bottom: 0;
    z-index: 2;
    text-align: center;
    font-size: 0.7rem;
    /*font-size: 1.3rem;*/
    padding-bottom: 15px;
    /*color: #383838;*/
    color: #1f1a17;
    /* fix bug on Safari - text flickering while timeline translates */
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    /*color:white;*/
    padding:5px;
    margin-bottom:20px;
  }
  /* custom*/
  .events a::before {
    content: '';
    position: absolute;
    width:1px;
    height:20px;
    background: #b5b1b1;
    /*background: #1f1a17;*/
    /*background: #fff;*/
    bottom:-20px;
    left:50%;
  }

  .events a::after {
    /* this is used to create the event spot */
    content: '';
    position: absolute;
    left: 50%;
    right: auto;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    transform: translateX(-50%);
    bottom: -25px;
    height: 12px;
    width: 12px;
    border-radius: 50%;

    border: 2px solid #b5b1b1;
    /*border: 2px solid #1f1a17;*/
    /*border: 2px solid #fff;*/

    background-color: #b5b1b1;
    /*background-color: #1f1a17;*/
    /*background-color: #fff;*/

    -webkit-transition: background-color 0.3s, border-color 0.3s;
    -moz-transition: background-color 0.3s, border-color 0.3s;
    transition: background-color 0.3s, border-color 0.3s;
  }

  .events a.selected {
    pointer-events: none;
  }

  .events a.selected::after {
    background-color: #1f1a17;
    /*background-color: #1f1a17;*/

    /*background-color: #FF3D7F;*/

    border-color: #1f1a17;
    /*border-color: #1f1a17;*/

    /*border-color: #FF3D7F;*/
  }

  .events a.older-event::after {
    /*border-color: #1f1a17;*/
    border-color: #1f1a17;
    /*border-color: #FF3D7F;*/
  }

  @media only screen and (min-width: 1100px) {
    margin: 6em auto;

    &::before {
      /* never visible - this is used in jQuery to check the current MQ */
      content: 'desktop';
    }
  }

  .events-content {
    position: relative;
    width: 100%;
    margin: 2em 0;
    overflow: hidden;
    -webkit-transition: height 0.4s;
    -moz-transition: height 0.4s;
    transition: height 0.4s;
  }

  .events-content li {
    position: absolute;
    z-index: 1;
    width: 100%;
    left: 0;
    top: 0;
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    padding: 0 5%;
    opacity: 0;
    -webkit-animation-duration: 0.4s;
    -moz-animation-duration: 0.4s;
    animation-duration: 0.4s;
    -webkit-animation-timing-function: ease-in-out;
    -moz-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    list-style-type: none;
  }

  .events-content li.selected {
    /* visible event content */
    position: relative;
    z-index: 2;
    opacity: 1;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }

  .events-content li.enter-right,
  .events-content li.leave-right {
    -webkit-animation-name: cd-enter-right;
    -moz-animation-name: cd-enter-right;
    animation-name: cd-enter-right;
  }

  .events-content li.enter-left,
  .events-content li.leave-left {
    -webkit-animation-name: cd-enter-left;
    -moz-animation-name: cd-enter-left;
    animation-name: cd-enter-left;
  }

  .events-content li.leave-right,
  .events-content li.leave-left {
    -webkit-animation-direction: reverse;
    -moz-animation-direction: reverse;
    animation-direction: reverse;
  }

  .events-content li > * {
    max-width: 800px;
    margin: 0 auto;
  }

  .events-content h2 {
    font-weight: bold;
    font-size: 3em !important;
    font-weight: 700;
    line-height: 1.2;
  }

  .events-content em {
    display: block;
    font-style: italic;
    margin: 10px auto;
  }

  .events-content em::before {
    content: '- ';
  }

  .events-content p {
    font-size: 1.5em !important;
    color: #1f1a17;
    /*color: #fff;*/
  }

  /*
  .events-content em,
  .events-content p {
    line-height: 1.6;
  }
  */
  .events-content em {
    line-height: 1.6;
  }

  .events-content p {
    padding-top: 1rem;
  }

  .events-content .list-group {
    padding-top: 2rem;

    .list-group-item {

      a {
        color: #1f1a17;
        text-decoration: none;
      }

      a:visited {
        color: #1f1a17;
      }

      a:hover {
        color: #424242;
        text-decoration: underline;
      }

    }


  }

  @media only screen and (min-width: 768px) {
    .events-content h2 {
      font-size: 7rem;
    }

    .events-content em {
      font-size: 1.5em !important;
    }

    .events-content p {
      font-size: 1.8rem;
    }
  }

  @-webkit-keyframes cd-enter-right {
    0% {
      opacity: 0;
      -webkit-transform: translateX(100%);
    }
    100% {
      opacity: 1;
      -webkit-transform: translateX(0%);
    }
  }
  @-moz-keyframes cd-enter-right {
    0% {
      opacity: 0;
      -moz-transform: translateX(100%);
    }
    100% {
      opacity: 1;
      -moz-transform: translateX(0%);
    }
  }
  @keyframes cd-enter-right {
    0% {
      opacity: 0;
      -webkit-transform: translateX(100%);
      -moz-transform: translateX(100%);
      -ms-transform: translateX(100%);
      -o-transform: translateX(100%);
      transform: translateX(100%);
    }
    100% {
      opacity: 1;
      -webkit-transform: translateX(0%);
      -moz-transform: translateX(0%);
      -ms-transform: translateX(0%);
      -o-transform: translateX(0%);
      transform: translateX(0%);
    }
  }
  @-webkit-keyframes cd-enter-left {
    0% {
      opacity: 0;
      -webkit-transform: translateX(-100%);
    }
    100% {
      opacity: 1;
      -webkit-transform: translateX(0%);
    }
  }
  @-moz-keyframes cd-enter-left {
    0% {
      opacity: 0;
      -moz-transform: translateX(-100%);
    }
    100% {
      opacity: 1;
      -moz-transform: translateX(0%);
    }
  }
  @keyframes cd-enter-left {
    0% {
      opacity: 0;
      -webkit-transform: translateX(-100%);
      -moz-transform: translateX(-100%);
      -ms-transform: translateX(-100%);
      -o-transform: translateX(-100%);
      transform: translateX(-100%);
    }
    100% {
      opacity: 1;
      -webkit-transform: translateX(0%);
      -moz-transform: translateX(0%);
      -ms-transform: translateX(0%);
      -o-transform: translateX(0%);
      transform: translateX(0%);
    }
  }

}

.no-touch .cd-horizontal-timeline .events a:hover::after {
  background-color: #1f1a17;
  /*background-color: #FF3D7F;*/

  border-color: #828282;
  /*border-color: #fff;*/
}

.cd-timeline-navigation li {
  list-style-type: none;
}

.cd-timeline-navigation a {
  /* these are the left/right arrows to navigate the timeline */
  position: absolute;
  z-index: 1;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  height: 30px;
  width: 30px;
  border-radius: 50%;
  border: 2px solid #1f1a17;
  /*border: 2px solid #fff;*/
  /* replace text with an icon */
  overflow: hidden;
  color: transparent;
  text-indent: 100%;
  white-space: nowrap;
  -webkit-transition: border-color 0.3s;
  -moz-transition: border-color 0.3s;
  transition: border-color 0.3s;
}

.cd-timeline-navigation a::after {
  /* arrow icon */
  content: '';
  position: absolute;
  height: 16px;
  width: 16px;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  /*
  background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRw%0D%0AOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB4PSIwcHgiIHk9IjBweCIgd2lkdGg9IjE2cHgiIGhl%0D%0AaWdodD0iMzJweCIgdmlld0JveD0iMCAwIDE2IDMyIj48ZyAgdHJhbnNmb3JtPSJ0cmFuc2xhdGUo%0D%0AMCwgMCkiPjxwb2x5Z29uIGZpbGw9IiM3YjlkNmYiIHBvaW50cz0iNiwxMy40IDQuNiwxMiA4LjYs%0D%0AOCA0LjYsNCA2LDIuNiAxMS40LDggIi8+PC9nPjxnICB0cmFuc2Zvcm09InRyYW5zbGF0ZSgwLCAx%0D%0ANikiPjxwb2x5Z29uIGZpbGw9IiNkZmRmZGYiIHBvaW50cz0iNiwxMy40IDQuNiwxMiA4LjYsOCA0%0D%0ALjYsNCA2LDIuNiAxMS40LDggIi8+PC9nPjwvc3ZnPg==) no-repeat 0 0;*/

  background: url('/assets/icons/icon-arrows.svg') no-repeat 0 0;
  /*
  color: #1f1a17;
  fill: #1f1a17;
  stroke: #1f1a17;
  */
}

.cd-timeline-navigation a.prev {
  left: 0;
  -webkit-transform: translateY(-50%) rotate(180deg);
  -moz-transform: translateY(-50%) rotate(180deg);
  -ms-transform: translateY(-50%) rotate(180deg);
  -o-transform: translateY(-50%) rotate(180deg);
  transform: translateY(-50%) rotate(180deg);
}

.cd-timeline-navigation a.next {
  right: 0;
  color: #1f1a17;
  /*color: #828282;*/
  /*color: #fff;*/
}

.no-touch .cd-timeline-navigation a:hover {
  border-color: #1f1a17;
  /*border-color: #FF3D7F;*/
}

.cd-timeline-navigation a.inactive {
  cursor: not-allowed;
}

.cd-timeline-navigation a.inactive::after {
  background-position: 0 -16px;
}

.no-touch .cd-timeline-navigation a.inactive:hover {
  border-color: #1f1a17;
  /*border-color: #FF3D7F;*/
}

.timeline_sass_stop {
  content: '';
}
